/*
 * Copyright (c) 2007 by Stefan Siegl <stesie@brokenpipe.de>
 *    and Jochen Roessner <jochen@lugrot.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * For more information on the GPL, please go to:
 * http://www.gnu.org/copyleft/gpl.html
 */

#include <string.h>
#include "echo.h"

void echo_init(void)
{
    uip_listen(HTONS(ECHO_PORT));
}

void echo_main(void)
{
    if(uip_rexmit())
	uip_send("cannot reximt. sorry.\n", 22);

    if(uip_newdata())
	uip_send(uip_appdata, uip_datalen());
}
